%define          real_ver   1.4.0

Name:            libgeda
Version:         20080127
Release:         1%{?dist}
Summary:         Libraries for the gEDA project

Group:           System Environment/Libraries
License:         GPLv2
URL:             http://www.geda.seul.org

Source:          http://geda.seul.org/release/v1.4/%{relver}/%{name}-%{real_ver}.tar.gz

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):  /sbin/ldconfig
Requires(postun):/sbin/ldconfig

BuildRequires:   gtk2-devel gd-devel gettext-devel guile-devel gawk intltool

Obsoletes:       libgeda-doc < 20070526
Provides:        libgeda-doc = %{version}-%{release}


%description
This package contains libgeda, the library needed by gEDA applications.


%package devel
Summary:         Development files for the libgeda library
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}
Requires:        gtk2-devel guile-devel


%description devel
Development files for libgeda library


%prep
%setup -q -n %{name}-%{real_ver}

%build

%configure --disable-static \
           --enable-gd      \
           --disable-rpath  \
           --disable-update-mime-database

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="%{_bindir}/install -p" install DESTDIR=%{buildroot}

%{__rm} -f %{buildroot}%{_libdir}/*.la

%{__rm} -rf docs/Makefile*
%{__install} -d %{buildroot}%{_docdir}/gEDA/
%{__mv} docs/* %{buildroot}%{_docdir}/gEDA/


# locale's
#find_lang libgeda33
if [ -d %{buildroot}%{_datadir}/locale/ ]; then
  for lang_dir in %{buildroot}%{_datadir}/locale/* ; do
    lang=$(basename $lang_dir)
    echo "%lang($lang) %{_datadir}/locale/$lang/LC_MESSAGES/libgeda33.mo" >> %{name}.lang
  done
fi


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_docdir}/gEDA/readmes
#%dir %{_docdir}/gEDA/man
#%dir %{_docdir}/gEDA/examples
#%dir %{_datadir}/gEDA/bitmap

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA
#%dir %{_datadir}/doc/gEDA/
#%dir %{_datadir}/gEDA/scheme

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS HACKING TODO COPYING ChangeLog README
%dir %{_datadir}/gEDA/
%dir %{_datadir}/gEDA/scheme
%{_docdir}/gEDA/
%{_libdir}/libgeda.so.*
%{_datadir}/gEDA/prolog.ps
%{_datadir}/gEDA/scheme/geda.scm
%{_datadir}/gEDA/system-gafrc
%{_datadir}/mime/packages/libgeda.xml
%{_datadir}/mimelnk/application/x-geda-*.desktop
%{_datadir}/icons/hicolor/*/mimetypes/application-x-geda-*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgeda/
%{_libdir}/libgeda.so
%{_libdir}/pkgconfig/libgeda.pc



%Changelog
* Tue Feb 01 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080127-1
- New upstream release
- disable-update-mime-database
- prepare post and postun
- treat locales properly

* Tue Jan 22 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20071231-1
- New upstream release

* Mon Sep 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070902-1
- New upstream release

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-2
- mass rebuild for fedora 8 - ppc32

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-1
- New upstream release

* Tue Jun 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070626-1
- New upstream release

* Thu Jun 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070526-2
- dump release

* Thu Jun 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070526-1
- new upstream release
- dropped useless -doc package

* Tue Apr 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-3
- rebuild for fc6 and devel

* Tue Apr 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-2
- new upstream release on 2007 02 16 support for FC-5

* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16
- bugfix: #233861 - unowned %%{_datadir}/gEDA/ directory

* Sat Jan 06 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 20061020-3
- Fix the replacement for guile 1.6

* Fri Dec 07 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20061020-2
- Downgraded to guile-1.6 for BR

* Wed Nov 01 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New upstream release

* Wed Oct 11 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-3
- Fixes Bug 210121 Printing does not produce correct post-script
- Changed ownership of prolog.ps from libgeda-doc to libgeda

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuild for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Wed Aug 30 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-6
- Fixed useless BR

* Tue Aug 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-5
- patches replaced by bash commands

* Tue Aug 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Fixed BR for -devel package
- Added patches to make use of gd instead of ligdgeda
- Added the doc package

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- packaging for FC5 and later
- added texi2html as BR to set HTML file creation enabled
- opting for gd-devel prior to libgdgeda-devel as BR
- Removed %%{_infodir}/dir

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123 - libgeda.so.25.0.0

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Tue Jun 28 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313 - libgeda.so.23.0.0

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228 - libgeda.so.22.0.0,

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111 - libgeda.so.20.0.0,
- built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901 - libgeda.so.19.0.0

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- updated to version 20030223 - libgeda.so.18.0.0

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> -20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209 - libgeda.so.15.0.0
- info files added
- split into libgeda and libgeda-devel

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- some corrections

* Thu Aug 3 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- updated to version 20010722; built on redhat-7.0

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- rebuild with new version of rpm (shouldn't change anything)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20000704
- changed licence from LGPL to GPL

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- removed 'Redhat Contrib Net' stuff
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19990919

* Wed Sep  1 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19990829

* Mon Jul 19 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- Group is now System Environment/Libraries
- rebuild with libgdgeda

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
